# Uses of Class
org.eclipse.core.commands.ExecutionEvent

Packages that use ExecutionEvent
Package
Description
org.eclipse.core.commands
Application programming interfaces for commands and handlers.
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.debug.ui.actions
Provides a set of actions related to running and debugging applications.
org.eclipse.jface.commands
Provides JFace-specific support for commands.
org.eclipse.team.ui.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.ui.commands
Provides support for retrieving information on Commands from the workbench.
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.
org.eclipse.ui.handlers
Provides support for integrating handlers into the Eclipse workbench.
org.eclipse.ui.views.markers
Utility classes for working with markers in views
org.eclipse.ui.views.properties
Provides the standard Property Sheet view which displays custom properties of the active workbench part's current selection.

## Uses of ExecutionEvent in org.eclipse.core.commands

Methods in org.eclipse.core.commands with parameters of type ExecutionEvent
Modifier and Type
Method
Description
`Object`
Command.`execute(ExecutionEvent event)`
Deprecated.
Please use `Command.executeWithChecks(ExecutionEvent)` instead.
`Object`
IHandler.`execute(ExecutionEvent event)`
Executes with the map of parameter values by name.
`Object`
Command.`executeWithChecks(ExecutionEvent event)`
Executes this command by delegating to the current handler, if any.
`void`
CommandManager.`firePreExecute(String commandId, ExecutionEvent event)`
Fires the `preExecute` event for `executionListeners`.
`void`
IExecutionListener.`preExecute(String commandId, ExecutionEvent event)`
Notifies the listener that a command is about to execute.

## Uses of ExecutionEvent in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui with parameters of type ExecutionEvent
Modifier and Type
Method
Description
`static ISelection`
DebugUITools.`getDebugContextForEvent(ExecutionEvent event)`
Return the debug context for the given executionEvent or `null` if none.
`static ISelection`
DebugUITools.`getDebugContextForEventChecked(ExecutionEvent event)`
Return the debug context for the given executionEvent.

## Uses of ExecutionEvent in org.eclipse.debug.ui.actions

Methods in org.eclipse.debug.ui.actions with parameters of type ExecutionEvent
Modifier and Type
Method
Description
`Object`
DebugCommandHandler.`execute(ExecutionEvent event)`

## Uses of ExecutionEvent in org.eclipse.jface.commands

Methods in org.eclipse.jface.commands with parameters of type ExecutionEvent
Modifier and Type
Method
Description
`final Object`
ActionHandler.`execute(ExecutionEvent event)`

## Uses of ExecutionEvent in org.eclipse.team.ui.mapping

Methods in org.eclipse.team.ui.mapping with parameters of type ExecutionEvent
Modifier and Type
Method
Description
`Object`
MergeActionHandler.`execute(ExecutionEvent event)`

## Uses of ExecutionEvent in org.eclipse.ui.commands

Methods in org.eclipse.ui.commands with parameters of type ExecutionEvent
Modifier and Type
Method
Description
`Object`
AbstractHandler.`execute(ExecutionEvent event)`
Deprecated.

## Uses of ExecutionEvent in org.eclipse.ui.editors.text

Methods in org.eclipse.ui.editors.text with parameters of type ExecutionEvent
Modifier and Type
Method
Description
`Object`
FileBufferOperationHandler.`execute(ExecutionEvent event)`

## Uses of ExecutionEvent in org.eclipse.ui.handlers

Methods in org.eclipse.ui.handlers that return ExecutionEvent
Modifier and Type
Method
Description
`ExecutionEvent`
IHandlerService.`createExecutionEvent(Command command, Event event)`
Creates an execution event based on an SWT event.
`ExecutionEvent`
IHandlerService.`createExecutionEvent(ParameterizedCommand command, Event event)`
Creates a parameterized execution event based on an SWT event and a parameterized command.
Methods in org.eclipse.ui.handlers with parameters of type ExecutionEvent
Modifier and Type
Method
Description
`Object`
CollapseAllHandler.`execute(ExecutionEvent event)`
`Object`
ExpandAllHandler.`execute(ExecutionEvent event)`
`Object`
ShowPerspectiveHandler.`execute(ExecutionEvent event)`
`Object`
ShowViewHandler.`execute(ExecutionEvent event)`
`static Collection`
HandlerUtil.`getActiveContexts(ExecutionEvent event)`
Return the active contexts.
`static Collection`
HandlerUtil.`getActiveContextsChecked(ExecutionEvent event)`
Return the active contexts.
`static IEditorPart`
HandlerUtil.`getActiveEditor(ExecutionEvent event)`
Return the active editor.
`static IEditorPart`
HandlerUtil.`getActiveEditorChecked(ExecutionEvent event)`
Return the active editor.
`static String`
HandlerUtil.`getActiveEditorId(ExecutionEvent event)`
Return the part id of the active editor.
`static String`
HandlerUtil.`getActiveEditorIdChecked(ExecutionEvent event)`
Return the part id of the active editor.
`static IEditorInput`
HandlerUtil.`getActiveEditorInput(ExecutionEvent event)`
Return the input of the active editor.
`static IEditorInput`
HandlerUtil.`getActiveEditorInputChecked(ExecutionEvent event)`
Return the input of the active editor.
`static ISelection`
HandlerUtil.`getActiveMenuEditorInput(ExecutionEvent event)`
Return the active menu editor input, if available.
`static ISelection`
HandlerUtil.`getActiveMenuEditorInputChecked(ExecutionEvent event)`
Return the active menu editor input.
`static Collection`
HandlerUtil.`getActiveMenus(ExecutionEvent event)`
Return the menu IDs that were applied to the registered context menu.
`static Collection`
HandlerUtil.`getActiveMenusChecked(ExecutionEvent event)`
Return the menu IDs that were applied to the registered context menu.
`static ISelection`
HandlerUtil.`getActiveMenuSelection(ExecutionEvent event)`
Return the active menu selection.
`static ISelection`
HandlerUtil.`getActiveMenuSelectionChecked(ExecutionEvent event)`
Return the active menu selection.
`static IWorkbenchPart`
HandlerUtil.`getActivePart(ExecutionEvent event)`
Return the active part.
`static IWorkbenchPart`
HandlerUtil.`getActivePartChecked(ExecutionEvent event)`
Return the active part.
`static String`
HandlerUtil.`getActivePartId(ExecutionEvent event)`
Return the part id of the active part.
`static String`
HandlerUtil.`getActivePartIdChecked(ExecutionEvent event)`
Return the part id of the active part.
`static Shell`
HandlerUtil.`getActiveShell(ExecutionEvent event)`
Return the active shell.
`static Shell`
HandlerUtil.`getActiveShellChecked(ExecutionEvent event)`
Return the active shell.
`static IWorkbenchSite`
HandlerUtil.`getActiveSite(ExecutionEvent event)`
Return the active part site.
`static IWorkbenchSite`
HandlerUtil.`getActiveSiteChecked(ExecutionEvent event)`
Return the active part site.
`static IWorkbenchWindow`
HandlerUtil.`getActiveWorkbenchWindow(ExecutionEvent event)`
Return the active workbench window.
`static IWorkbenchWindow`
HandlerUtil.`getActiveWorkbenchWindowChecked(ExecutionEvent event)`
Return the active workbench window.
`static ISelection`
HandlerUtil.`getCurrentSelection(ExecutionEvent event)`
Return the current selection.
`static ISelection`
HandlerUtil.`getCurrentSelectionChecked(ExecutionEvent event)`
Return the current selection.
`static IStructuredSelection`
HandlerUtil.`getCurrentStructuredSelection(ExecutionEvent event)`
Return the current structured selection, or `StructuredSelection.EMPTY` if the current selection is not a structured selection or `null`.
`static Object`
HandlerUtil.`getShowInInput(ExecutionEvent event)`
Return the ShowInContext input.
`static Object`
HandlerUtil.`getShowInInputChecked(ExecutionEvent event)`
Return the ShowInContext input.
`static ISelection`
HandlerUtil.`getShowInSelection(ExecutionEvent event)`
Return the ShowInContext selection.
`static ISelection`
HandlerUtil.`getShowInSelectionChecked(ExecutionEvent event)`
Return the ShowInContext selection.
`static Object`
HandlerUtil.`getVariable(ExecutionEvent event, String name)`
Extract the variable.
`static Object`
HandlerUtil.`getVariableChecked(ExecutionEvent event, String name)`
Extract the variable.
`static boolean`
HandlerUtil.`matchesRadioState(ExecutionEvent event)`
Checks whether the radio state of the command is same as the radio state parameter's value

## Uses of ExecutionEvent in org.eclipse.ui.views.markers

Methods in org.eclipse.ui.views.markers with parameters of type ExecutionEvent
Modifier and Type
Method
Description
`IMarker[]`
MarkerViewHandler.`getSelectedMarkers(ExecutionEvent event)`
Get the selected markers for the receiver in the view from event.
`MarkerSupportView`
MarkerViewHandler.`getView(ExecutionEvent event)`
Get the view this event occurred on.

## Uses of ExecutionEvent in org.eclipse.ui.views.properties

Methods in org.eclipse.ui.views.properties with parameters of type ExecutionEvent
Modifier and Type
Method
Description
`Object`
NewPropertySheetHandler.`execute(ExecutionEvent event)`
First tries to find a suitable instance to reuse for the given context, then creates a new instance if necessary.
`protected PropertySheet`
NewPropertySheetHandler.`findPropertySheet(ExecutionEvent event, PropertyShowInContext context)`
Returns a PropertySheet instance
`protected PropertyShowInContext`
NewPropertySheetHandler.`getShowInContext(ExecutionEvent event)`